1.2 Die Programmoberfläche von Sonic Pi

# Die Programmoberfläche von Sonic Pi

Sonic PI hat eine sehr einfache Oberfläche zum Coden von Musik. Schauen 
wir uns das einmal genauer an.

![Sonic Pi Interface](../images/tutorial/GUI.png)


* *A* - Wiedergabe-Steuerung
* *B* - Editor-Steuerung
* *C* - Info und Hilfe
* *D* - Code-Editor
* *E* - Protokoll-Fenster
* *F* - Hilfe-System

## A. Wiedergabe-Steuerung

Mit diesen pinkfarbenen Buttons kannst Du Klänge abspielen und stoppen. 
Der `Ausführen`-Button startet den Code im Editor, `Stopp` hält den
ablaufenden Code an, `Speichern` schreibt den Code in eine Datei und
`Aufnehmen` nimmt den gerade laufenden Sound (in einer WAV-Datei) auf.

## B. Editor-Steuerung

Die orangefarbenen Buttons steuern den Code-Editor. Die `Text vergrößern` 
und `Text verkleinern`-Buttons verändern die Schriftgröße.
`Auto-Align Text`-Button richtet den Code ordentlich aus, damit er
professioneller aussieht und besser lesbar ist.

## C. Information und Hilfe

Die blauen Buttons bieten Dir den Zugriff auf Informationen, die Hilfe 
und die Voreinstellungen. Der `Info`-Button öffnet ein Fenster mit 
Informationen über Sonic Pi selbst und wo Du mehr Informationen und
Hilfe von anderen findest. Der `Hilfe`-Button zeigt/verbirgt das
eingebaute Hilfesystem (*F*) und `Einstellungen` zeigt/verbirgt das
Fenster, wo Du einige grundsätzliche Einstellungen regeln kannst.

## D. Code-Editor

In diesem Bereich schreibst Du Deinen Code, komponierst Du Deine Musik
und führst sie später auf. Es ist ein einfacher Texteditor, in dem
Du Code eingibst und bearbeitest; so eine Art sehr einfache
Textverarbeitung wie Word oder Google Docs. Der Editor färbt 
bestimmte Begriffe automatisch ein, je nachdem, welche Bedeutung sie 
innerhalb des Codes haben. Am Anfang ist das vielleicht ein wenig 
merkwürdig, aber Du wirst es bald nützlich finden. Zum Beispiel erkennst
Du Zahlen sofort daran, dass sie blau eingefärbt sind.

## E. Protokoll-Fenster

Wenn Dein Code abläuft, siehst Du im Protokoll-Fenster, was 
das Programm gerade tut. Standardmäßig siehst Du eine Nachricht für 
jeden erzeugten Klang und die exakte Zeit, wann der Klang ausgelöst 
wurde. Bei der Suche nach Fehlern kann das sehr hilfreich sein und
Du verstehst schneller, was Dein Code macht.

## F. Hilfe-System

Das Hilfe-System im unteren Bereich des Programmfensters ist einer der 
wichtigsten Teile von Sonic Pi. Du kannst es ein- und ausblenden, indem 
Du den blauen`Hilfe`-Button klickst. Es enthält Hilfe und 
Informationen über alle Aspekte von Sonic Pi, einschließlich dieses 
Tutorials, einer Liste der mitgelieferten Synths, Samples, Beispiele, 
Effekte (FX[^1]) sowie eine komplette Liste aller Funktionen, die Sonic 
Pi zum Coden von Musik bereitstellt.

[^1]: Im Englischen wird der Begriff *Effekte* manchmal lautmalerisch
    mit *FX* ("ef-eks") abgekürzt; *FX* bezeichnet also die
    Klangeffekte in Sonic Pi.
