1.2 Esploriamo l’interfaccia

# L’interfaccia di Sonic Pi

Sonic Pi ha un’interfaccia molto semplice per programmare la musica. Diamogli un’occhiata.

![Sonic Pi Interface](../images/tutorial/GUI.png)

* *A* - Controlli di riproduzione
* *B* - Controlli di modifica
* *C* - Info e Help
* *D* - Editor del codice
* *E* - Pannello preferenze
* *F* - Visualizzatore Messaggi
* *G* - Help System


## A. Controlli di riproduzione

Questi tasti rosa sono i controlli principali per far partire o fermare i suoni. Il tasto *Run* esegue il codice che hai scritto nell’editor,
*Stop* per fermare tutto il codice in esecuzione, *Save* per salvare il codice in un file esterno e *Record* per registrare (in un file WAV) i suoni prodotti.


## B. Controlli di modifica

Questi tasti arancione ti permettono di modificare l’aspetto del codice nell’editor. I tasti *Size
+* e *Size -* rendono il testo più grande o più piccolo. Il tasto *Align* mette in ordine il codice per renderlo più professionale.

## C. Info e Help

Questi tasti blu ti danno accesso alle informazioni, all’help e alle opzioni. Il tasto *Info* apre la finestra delle informazioni che contiene le notizie su Sonic Pi, il team di sviluppo, la storia, i collaboratori e la community. Il tasto *Help* apre e chiude l’help
(*F*) e il tasto *Prefs* apre e chiude la finestra delle opzioni che ti permette di modificare alcune impostazioni di base del programma.

## D. Editor del codice

Questa è l’area dove scriverai il tuo codice e comporrai/eseguirai la tua musica. E’ un semplice editor di testo dove puoi scrivere le tue istruzioni, cancellarle, copiarle e incollarle etc. Pensalo come una versione molto elementare di Word o Google Docs. L’editor cambia il colore delle parole sulla base del loro significato nel linguaggio. Questo all’inizio può sembrare strano, ma presto ti accorgerai che è molto utile. Per esempio, qualunque testo colorato di blu è sicuramente un numero.

## E. Pannello delle preferenze

Attraverso il tasto *prefs* nel gruppo di tasti Info e Help, puoi accedere alle opzioni di configurazione di Sonic Pi. Il tasto di permette di aprire e chiudere la finestra delle preferenze che possono essere modificate. Per esempio, forzare la modalità mono, invertire i canali stereo, modificare il livello di dettaglio dei messaggi di log e anche un cursore per il livello del suono in uscita e un selettore audio se stai usando un Raspberry Pi.

## F. Visualizzatore messaggi

Quando i tuoi programmi girano, le informazioni su cosa stiano facendo vengono visualizzate nella finestra di *Log*. Per default, noterai che c’è un messaggio per ogni suono che generi e che riporta il tempo esatto in cui il suono viene prodotto. Vedrai che questo ti sarà molto utile quando dovrai fare il *debug* (individuare gli errori) del tuo codice o capire cosa sta facendo il tuo programma.

## G. Help System

Infine, una delle parti più importanti dell’interfaccia di Sonic Pi è l’Help che appare in basso nella finestra del programma. Puoi attivarlo o disattivarlo usando il tasto *Help*. Il sistema di Help contiene la documentazione e le informazioni su tutti gli aspetti di Sonic Pi compreso questo tutorial, una lista dei sintetizzatori e dei campioni disponibili, esempi, effetti (FX) ed una lista completa di tutte le funzioni e le istruzioni disponibili nel linguaggio di Sonic Pi.
