1.2 インターフェースの探索

# Sonic Pi のインターフェース

Sonic Piは、音楽をコーディング(記述)するための
とてもシンプルなインターフェース(操作画面)を持っています。
ちょっと見てみましょう。

![Sonic Pi Interface](:/images/tutorial/GUI.png)

* *A* - 演奏の操作
* *B* - 編集の操作
* *C* - 情報とヘルプ
* *D* - コードエディタ
* *E* - ログ画面
* *F* - ヘルプシステム

## A. 演奏の操作

ここにあるグリーンのボタンで、音を再生したり停止するための主要な操作ができます。
*Run*ボタンは編集画面内のコードを実行します。*Stop*ボタンですべてのコードの動作を停止します。
*Save*ボタンは外部ファイルにコードを保存し、*Record*ボタンは演奏中の音を (WAV ファイルに)録音します。

## B. 編集の操作

これらのオレンジ色のボタンで編集画面を操作します。
*Size +*と*Size -*ボタンは文字サイズを大きくしたり小さくします。
*Align* ボタンはより専門的で見やすいコードに整えてくれます。

## C. 情報とヘルプ

これらの青いボタンで、情報、ヘルプや設定にアクセスします。*Info* ボタンは、
概要、コア、協力者、コミュニティ、ライセンス、ヒストリーといったSonic Pi自体についての情報を画面に表示します。
*Help*ボタンは*F*のヘルプシステム表示を切り替えます。
また*Prefs*ボタンは基本的なシステムを操作するための設定画面の表示を切り替えます。

## D. コードエディタ

ここでは音楽を作曲/演奏したりするためのコードを書く領域です。コードを書いたり、消したり、
切り取り、貼り付けなどを行うためのシンプルな編集画面です。Google Docsやワードの基礎版だと思ってください。
編集画面ではコードの意味合いに応じて自動で色つけします。はじめは変わっていると思うかもしれませんが、
とても使いやすくなるはずです。例えば、数値は青色で示されます。

## E. ログ画面

コードを走らせた時、ログ画面にはプログラムがどうなっているかについての情報が表示されます。 
既定では、正確な再生時間を毎音ごとにメッセージとして見ることができます。
コードのデバッグ（欠陥を取り除く作業）に利用でき、コードが何をしているかを理解することにも役立ちます。

## F. ヘルプシステム

最後は、SonicPiインターフェースのもっとも重要な部分の一つである、画面の下にあるヘルプシステムです。
青い*Help*ボタンによって表示/非表示を切り替えることができます。
ヘルプシステムは、ヘルプと情報を含んでいます。このチュートリアル、入手できるシンセのリスト、
サンプルや実例、効果のリスト、そして音楽をコーディングするために備えているSonic Piの
全機能のリストといった、Sonic Piの全てについてのヘルプと情報があります。
