1.2 Zapoznanie z interfejsem użytkownika

# Interfejs użytkownika w Sonic Pi

Sonic Pi ma bardzo prosty interfejs umożliwiający kodowanie muzyki. 
Poświęćmy chwilę na zapoznanie się z nim.

![Sonic Pi Interface](../images/tutorial/GUI.png)

* *A* - Kontrola Odtwarzania (Play Controls)
* *B* - Kotrola Edytora (Editor Controls)
* *C* - Informacje i Pomoc (Info and Help)
* *D* - Edytor Kodu (Code Editor)
* *E* - Panel Preferencji (Prefs Panel)
* *F* - Podgląd Logów (Log Viewer)
* *G* - System Pomocy (Help System)


## A. Kontrola Odtwarzania (Play Controls)

Różowe przyciski są głównymi kontrolerami uruchamiania i zatrzymywania 
dźwięków. Jest przycisk *Run* (Start) umożliwiający uruchomienie kodu 
znajdującego się w edytorze. Przycisk *Stop* umożliwia zatrzymanie całego 
uruchomionego kodu. Przycisk *Save* (Zapisz) służy do zapisywania kodu 
wpisanego w edytorze do zewnętrznego pliku tekstowego. Przycisk *Record* 
(Nagrywaj) umożliwia nagrywanie (w formacie WAV) aktualnie odtwarzanego 
dźwięku.

## B. Kontrola Edytora (Editor Controls)

Pomarańczowe przyciski pozwalają Ci manipulować edytorem kodu. Przyciski 
*Size +* (Zwiększ rozmiar) i *Size -* (Zmniejsz rozmiar) umożliwiają 
powiększanie i zmniejszanie rozmiaru tekstu (czcionki). Przycisk *Align* 
(Wyrównaj) pozwala na uporządkowanie wyglądu twojego kodu tak aby wyglądał 
bardziej profesjonalnie (poprawia wcięcia).

## C. Informacje i Pomoc (Info and Help)

Niebieskie przyciski dają Ci dostęp do informacji, pomocy i ustawień. 
Naciśnięcie przycisku *Info* spowoduje otworzenie dodatkowego okna, 
które zawiera informacje dotyczące Sonic Pi - zespół podstawowy, historia, 
współtwórcy oraz społeczność. Przycisk *Help* (Pomoc) otwiera i zamyka system 
pomocy (*F*), który właśnie czytasz. Przycisk *Prefs* (Ustawienia) otwiera 
i zamyka panel ustawień, który pozwala Ci na kontrolę kilku podstawowych 
ustawień aplikacji.

## D. Edytor Kodu (Code Editor)

Obszar, w którym będziesz pisał swój kod oraz komponował/wykonywał 
muzykę. Jest to prosty edytor tekstowy, w którym możesz pisać kod, 
kasować go, wycinać, wklejać, itd. Myśl o nim jako o bardzo prostej 
wersji edytora Word czy Google Docs. Edytor automatycznie koloruje 
słowa bazując na ich znaczeniu w kodzie. Może się to wydawać dziwne 
na początku, ale bardzo szybko zauważysz, że jest to bardzo przydatne. 
Na przykład - wiesz, że coś dany tekst jest liczbą ponieważ ma kolor 
niebieski.

## E. Panel preferencji (Prefs Panel)

Sonic Pi wspiera wiele ustawień, które są dostępne za pomocą przycisku 
*Preferencje (prefs)*, który znajduje się tuż za przyciskami Informacje 
i Pomoc. Naciśnięcie go spowoduje pokazanie panelu ustawień, który 
zawiera wiele opcji, które można zmianiać. Przykłady takich ustawień to: 
wymuszenie trybu mono, odwrócone stereo, włączanie i wyłączanie 
panelu logowania a także suwak głośności selektor dźwięku, które są 
dostępne tylko na platformie Raspberry Pi.

## F. Podgląd Logów (Log Viewer)

Kiedy uruchamiasz swój kod, informacja o tym co program aktualnie robi 
będzie wyświetlana w panelu podglądu logów. Domyślnie, zobaczysz wiadomość 
pojawiającą się dla każdego dźwięku, który stworzysz wraz z dokładnym 
czasem kiedy ten dźwięk został uruchomiony. Jest to bardzo przydatne 
do debugowania twojego kodu i zrozumienia co twój kod robi.

## G. System Pomocy (Help System)

I na samym końcu została jedna z najważniejszych cześci interfejsu 
Sonic Pi - system pomocy, który pojawia się w dolnym oknie. Może on być 
włączony i wyłączony za pomocą naciśnięcia niebieskiego przycisku *Help* 
(Pomoc). System pomocy zawiera pomoc oraz informacje dotyczące wszystkich 
aspektów związanych z Sonic Pi włączając w to ten samouczek, listę 
dostępnych syntezatorów, sample (próbki dźwięków), przykłady, efekty (FX) 
oraz listę wszystkich funkcji umożliwiających tworzenie muzyki jakie 
Sonic Pi udostępnia.
